-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 1 of the Cloudera Navigator schema. The base schema;
-- modifications are made via separate pieces of migration code.
--

-- The schema version, should be checked by the server during startup
create table GOV_SCHEMA_VERSION (
  VERSION integer not null
) engine=InnoDB;

-- Update this value when the schema changes, also during migration
insert into GOV_SCHEMA_VERSION values (1);

create table HDFS_AUDIT_EVENTS (
  ID           bigint not null auto_increment,
  SERVICE_NAME varchar(255) not null,
  USERNAME     varchar(255) not null,
  IP_ADDR      varchar(255) not null,
  EVENT_TIME   bigint not null,
  OPERATION    varchar(255) not null,
  SRC          varchar(1024) not null,
  DEST         varchar(1024),
  PERMISSIONS  varchar(1024),
  primary key (ID),
  index IDX_HDFS_EVENT_TIME (EVENT_TIME)
) ENGINE=InnoDB;


create table HBASE_AUDIT_EVENTS (
  ID            bigint not null auto_increment,
  SERVICE_NAME  varchar(255) not null,
  ALLOWED       integer not null,
  USERNAME      varchar(255) not null,
  EVENT_TIME    bigint not null,
  TABLE_NAME    varchar(1024),
  FAMILY        varchar(1024),
  QUALIFIER     varchar(1024),
  OPERATION     varchar(1024),
  primary key (ID),
  index IDX_HBASE_EVENT_TIME (EVENT_TIME)
) ENGINE=InnoDB;
